Bug 1662755 - [abrt] cinnamon: call_blocking(): connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus ...
Summary: [abrt] cinnamon: call_blocking(): connection.py:651:call_blocking:dbus.except...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bc39a9662115e9db0fe70a0f949...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-01 16:36 UTC by Charles Hagerman
Modified: 2019-11-27 20:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:31:53 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.62 KB, text/plain)
2019-01-01 16:36 UTC, Charles Hagerman
no flags Details
File: cgroup (345 bytes, text/plain)
2019-01-01 16:36 UTC, Charles Hagerman
no flags Details
File: cpuinfo (1.17 KB, text/plain)
2019-01-01 16:36 UTC, Charles Hagerman
no flags Details
File: environ (3.84 KB, text/plain)
2019-01-01 16:36 UTC, Charles Hagerman
no flags Details
File: mountinfo (3.32 KB, text/plain)
2019-01-01 16:36 UTC, Charles Hagerman
no flags Details
File: namespaces (129 bytes, text/plain)
2019-01-01 16:36 UTC, Charles Hagerman
no flags Details
File: open_fds (1.31 KB, text/plain)
2019-01-01 16:36 UTC, Charles Hagerman
no flags Details

Description Charles Hagerman 2019-01-01 16:36:28 UTC
Version-Release number of selected component:
cinnamon-4.0.7-1.fc29

Additional info:
reporter:       libreport-2.9.7
cmdline:        /usr/bin/python3 /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py sound
crash_function: call_blocking
exception_type: dbus.exceptions.DBusException
executable:     /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py
interpreter:    python3-3.7.1-4.fc29.x86_64
kernel:         4.16.14-200.fc27.x86_64+debug
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Traceback (most recent call last):
  File "/usr/share/cinnamon/cinnamon-settings/modules/cs_sound.py", line 476, in test
    play(0, sound, position[1])
  File "/usr/lib64/python3.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib64/python3.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib64/python3.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Local variables in innermost frame:
self: <dbus._dbus.SessionBus (session) at 0x7fe71de32308>
bus_name: dbus.String(':1.28')
object_path: '/org/cinnamon/SettingsDaemon/Sound'
dbus_interface: 'org.cinnamon.SettingsDaemon.Sound'
method: 'PlaySoundWithChannel'
signature: 'uss'
args: (0, 'audio-channel-front-left', 'front-left')
timeout: -1.0
byte_arrays: False
kwargs: {}
get_args_opts: {'byte_arrays': False}
message: <dbus.lowlevel.MethodCallMessage path: /org/cinnamon/SettingsDaemon/Sound, iface: org.cinnamon.SettingsDaemon.Sound, member: PlaySoundWithChannel dest: :1.28>

Comment 1 Charles Hagerman 2019-01-01 16:36:31 UTC
Created attachment 1517750 [details]
File: backtrace

Comment 2 Charles Hagerman 2019-01-01 16:36:33 UTC
Created attachment 1517751 [details]
File: cgroup

Comment 3 Charles Hagerman 2019-01-01 16:36:34 UTC
Created attachment 1517752 [details]
File: cpuinfo

Comment 4 Charles Hagerman 2019-01-01 16:36:36 UTC
Created attachment 1517753 [details]
File: environ

Comment 5 Charles Hagerman 2019-01-01 16:36:38 UTC
Created attachment 1517754 [details]
File: mountinfo

Comment 6 Charles Hagerman 2019-01-01 16:36:39 UTC
Created attachment 1517755 [details]
File: namespaces

Comment 7 Charles Hagerman 2019-01-01 16:36:41 UTC
Created attachment 1517756 [details]
File: open_fds

Comment 8 Ben Cotton 2019-10-31 20:14:38 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-11-27 20:31:53 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.